package com.cim.idm.wmspackage.materialshiprequesttooem.management.data;


import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialShipRequestToOEM extends FieldAccessor implements DataInfo<MaterialShipRequestToOEMKey> {
	private MaterialShipRequestToOEMKey key;

	private double requestQuantity;
	private double assignedQuantity;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	public MaterialShipRequestToOEMKey getKey() {
		return key;
	}
	public void setKey(MaterialShipRequestToOEMKey key) {
		this.key = key;
	}
	
	public double getRequestQuantity() {
		return requestQuantity;
	}
	public void setRequestQuantity(double requestQuantity) {
		this.requestQuantity = requestQuantity;
	}
	public double getAssignedQuantity() {
		return assignedQuantity;
	}
	public void setAssignedQuantity(double assignedQuantity) {
		this.assignedQuantity = assignedQuantity;
	}
	public String getLastEventName() {
		return lastEventName;
	}
	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}
	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}
	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}
	public Timestamp getLastEventTime() {
		return lastEventTime;
	}
	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	public String getLastEventUser() {
		return lastEventUser;
	}
	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}
	public String getLastEventComment() {
		return lastEventComment;
	}
	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}
	
	
	
	
}
